{
  "name": "ui-integration-demo",
  "version": "0.27.0",
  "description": "",
  "license": "AGPL-3.0",
  "dependencies": {
    "@ledgerhq/hw-transport": "^6.31.4",
    "@ledgerhq/hw-transport-webusb": "^6.29.4",
    "@ledgerhq/logs": "^6.12.0",
    "@partisiablockchain/abi-client": "5.132.0",
    "@partisiablockchain/blockchain-api-transaction-client": "^5.93.0",
    "@secata-public/bitmanipulation-ts": "^3.0.6",
    "@types/bn.js": "^5.1.6",
    "@types/elliptic": "^6.4.14",
    "bip32-path": "^0.4.2",
    "bn.js": "^5.2.1",
    "buffer": "^6.0.3",
    "crypto-browserify": "^3.12.0",
    "elliptic": "^6.5.7",
    "hash.js": "^1.1.7",
    "partisia-blockchain-applications-sdk": "^0.1.4",
    "stream-browserify": "^3.0.0"
  },
  "devDependencies": {
    "@babel/plugin-transform-runtime": "^7.25.7",
    "@babel/preset-env": "^7.25.8",
    "@babel/preset-typescript": "^7.25.7",
    "@typescript-eslint/eslint-plugin": "^8.8.1",
    "assert": "^2.0.0",
    "babel-loader": "^9.2.1",
    "eslint": "^8.57.1",
    "eslint-plugin-import": "^2.31.0",
    "fork-ts-checker-webpack-plugin": "^9.0.0",
    "html-webpack-plugin": "^5.5.0",
    "prettier": "^3.3.3",
    "process": "^0.11.10",
    "typescript": "^5.6.3",
    "webpack": "^5.95.0",
    "webpack-cli": "^5.0.0",
    "webpack-dev-server": "^5.1.0",
    "webpack-merge": "^6.0.1"
  },
  "overrides": {
    "merkletreejs": "^0.3.11"
  },
  "scripts": {
    "test": "npx webpack --config webpack.config.js",
    "prettier": "npx prettier --print-width 100 --tab-width 2 --quote-props as-needed --trailing-comma es5 --bracket-same-line --prose-wrap preserve --write src",
    "lint": "npx eslint src --max-warnings 0",
    "start": "npx webpack serve --open --env PORT=8000"
  },
  "prettier": {
    "printWidth": 100,
    "endOfLine": "auto",
    "bracketSameLine": true
  }
}
